From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-screenshooter/
Date: Wed, 29 May 2024 12:13:00 +0000 (UTC) [thread overview]
Message-ID: <1716984736.7942d45ee814d89019424df9baba4943d3907876.mgorny@gentoo> (raw)
commit: 7942d45ee814d89019424df9baba4943d3907876
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 29 12:12:16 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 29 12:12:16 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7942d45e
xfce-extra/xfce4-screenshooter: Bump to 1.10.6
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
| 1 +
.../xfce4-screenshooter-1.10.6.ebuild | 78 ++++++++++++++++++++++
2 files changed, 79 insertions(+)
--git a/xfce-extra/xfce4-screenshooter/Manifest b/xfce-extra/xfce4-screenshooter/Manifest
index b95c47c14e8d..d4bf1c8d30f9 100644
--- a/xfce-extra/xfce4-screenshooter/Manifest
+++ b/xfce-extra/xfce4-screenshooter/Manifest
@@ -1 +1,2 @@
DIST xfce4-screenshooter-1.10.5.tar.bz2 621929 BLAKE2B 616feb84dc6eabbf964d4b31a6604fb8bea6e5a23a4f52d1fbb18775e0b2859cfe12c70a18cdd82e62324c386990f5cd114659d5259cac5a22499e8d5eda4423 SHA512 0040b28514ffc77473b2d9f182c1bc162f8ac21aac97f2e28eb2b5556255dd74f7d4545f049b4060a8db6c0d415831fe5988da581857f22894bed01136aee677
+DIST xfce4-screenshooter-1.10.6.tar.bz2 813187 BLAKE2B 2f5d12cd1879d35911fee159e909f8b64970831fdd350fd46ca64371376592d30db8658d03045cc84d52ce16c19ec374dcb926b0151fcfc35e365832eb3b8803 SHA512 2984ff3a64d0783c62ad5ac33ef54f4ec70fb6d06ac66f4a963940878d04b5e77c100a8121b73788ce6cc0af427fec9d5bf09235465b3591cd57cd16c7d9cda2
diff --git a/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.10.6.ebuild b/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.10.6.ebuild
new file mode 100644
index 000000000000..3cab24e6a56a
--- /dev/null
+++ b/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.10.6.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="Xfce4 screenshooter application and panel plugin"
+HOMEPAGE="
+ https://docs.xfce.org/apps/xfce4-screenshooter/start
+ https://gitlab.xfce.org/apps/xfce4-screenshooter/
+"
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="X wayland"
+REQUIRED_USE="|| ( X wayland )"
+
+DEPEND="
+ >=dev-libs/glib-2.66.0
+ >=x11-libs/gdk-pixbuf-2.16
+ >=x11-libs/gtk+-3.24.0:3[X?,wayland?]
+ >=x11-libs/pango-1.44.0
+ dev-libs/libxml2
+ >=net-libs/libsoup-3.0.0:3.0
+ >=xfce-base/exo-0.11:=
+ >=xfce-base/xfce4-panel-4.16.0:=
+ >=xfce-base/libxfce4util-4.16.0:=
+ >=xfce-base/libxfce4ui-4.16.0:=
+ >=xfce-base/xfconf-4.16.0:=
+ wayland? (
+ dev-libs/wayland
+ )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXfixes
+ >=x11-libs/libXi-1.7.8
+ x11-libs/libXtst
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-util/glib-utils
+ sys-apps/help2man
+ sys-devel/gettext
+ virtual/pkgconfig
+ wayland? (
+ dev-util/wayland-scanner
+ )
+"
+
+src_configure() {
+ local myconf=(
+ $(use_enable X x11)
+ $(use_enable X libxtst)
+ $(use_enable wayland)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2024-05-29 12:13 UTC|newest]
Thread overview: 119+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-29 12:13 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-12 18:23 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-screenshooter/ Michał Górny
2024-09-12 14:58 Sam James
2024-08-12 22:05 Jakov Smolić
2024-08-11 17:19 Sam James
2024-08-11 17:19 Sam James
2024-08-11 17:19 Sam James
2024-08-11 12:35 Michał Górny
2024-08-10 15:41 Michał Górny
2024-08-10 11:00 Sam James
2024-08-10 8:17 Michał Górny
2024-07-30 13:33 Michał Górny
2024-07-25 11:57 Michał Górny
2024-06-29 16:58 Michał Górny
2024-06-29 10:55 Sam James
2024-06-29 8:53 Sam James
2024-06-29 8:25 Sam James
2024-06-29 8:25 Sam James
2024-06-29 6:36 Arthur Zamarin
2024-03-14 4:22 Michał Górny
2024-03-14 3:44 Sam James
2024-03-09 14:11 Michał Górny
2024-03-09 14:11 Michał Górny
2024-03-09 14:11 Michał Górny
2024-03-09 14:11 Michał Górny
2024-02-05 3:52 Michał Górny
2023-08-04 15:14 Michał Górny
2023-08-04 11:31 Sam James
2023-07-24 11:03 Jakov Smolić
2023-07-24 11:03 Jakov Smolić
2023-05-14 13:56 Michał Górny
2023-02-03 15:17 Michał Górny
2023-02-03 13:04 Sam James
2023-02-03 12:46 Sam James
2023-02-03 12:33 Sam James
2023-02-03 12:31 Arthur Zamarin
2023-02-03 12:20 Sam James
2023-01-13 7:09 Michał Górny
2023-01-03 6:38 Michał Górny
2022-12-31 13:31 Michał Górny
2022-12-31 13:03 Arthur Zamarin
2022-12-31 13:01 Sam James
2022-12-31 12:11 Sam James
2022-12-31 11:20 Arthur Zamarin
2022-12-31 11:20 Arthur Zamarin
2022-12-22 4:37 Michał Górny
2022-11-16 7:13 Michał Górny
2022-11-09 6:12 Michał Górny
2022-10-25 7:48 WANG Xuerui
2022-10-08 20:10 Michał Górny
2022-10-08 19:35 Arthur Zamarin
2022-10-08 19:28 Sam James
2022-10-08 16:03 Arthur Zamarin
2022-10-08 16:03 Arthur Zamarin
2022-08-12 9:16 Michał Górny
2022-04-27 19:54 Michał Górny
2022-04-27 18:34 Arthur Zamarin
2022-04-27 18:21 Arthur Zamarin
2022-04-27 18:11 Arthur Zamarin
2022-04-27 11:21 Jakov Smolić
2022-04-27 11:21 Jakov Smolić
2022-03-07 21:19 Michał Górny
2021-07-06 7:58 Michał Górny
2021-07-06 1:48 Sam James
2021-07-03 6:22 Agostino Sarubbo
2021-07-03 6:20 Agostino Sarubbo
2021-07-03 1:30 Sam James
2021-07-03 1:28 Sam James
2021-05-31 2:23 Matt Turner
2021-05-20 9:04 Michał Górny
2021-02-19 1:11 Michał Górny
2021-02-18 22:08 Sam James
2021-02-18 7:26 Sam James
2021-02-08 6:11 Sam James
2021-02-08 6:05 Sam James
2020-12-23 8:39 Michał Górny
2020-01-03 8:38 Michał Górny
2020-01-01 19:43 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-31 8:18 Agostino Sarubbo
2019-12-31 8:15 Agostino Sarubbo
2019-12-31 7:43 Agostino Sarubbo
2019-11-03 16:38 Michał Górny
2019-10-20 10:24 Michał Górny
2019-10-13 11:24 Mikle Kolyada
2019-10-12 21:23 Sergei Trofimovich
2019-10-12 21:16 Sergei Trofimovich
2019-10-10 18:35 Mikle Kolyada
2019-10-10 18:31 Mikle Kolyada
2019-08-26 3:45 Michał Górny
2019-07-23 14:11 Kent Fredric
2019-05-24 22:20 Michał Górny
2019-05-23 13:05 Mikle Kolyada
2019-05-12 22:03 Sergei Trofimovich
2019-05-12 21:57 Sergei Trofimovich
2019-04-07 14:43 Mikle Kolyada
2019-04-07 14:41 Mikle Kolyada
2019-04-07 8:29 Michał Górny
2019-03-30 21:25 Michał Górny
2019-03-09 9:19 Michał Górny
2019-03-09 9:19 Michał Górny
2018-12-02 11:12 Mikle Kolyada
2018-11-24 13:40 Sergei Trofimovich
2018-11-18 16:01 Sergei Trofimovich
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 14:10 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-10-16 17:21 Michał Górny
2018-08-12 7:46 Michał Górny
2018-08-12 7:46 Michał Górny
2018-07-10 12:29 Michał Górny
2018-05-27 20:56 Mikle Kolyada
2018-05-01 17:17 Michał Górny
2018-04-19 21:08 Mikle Kolyada
2018-04-18 21:04 Sergei Trofimovich
2018-04-08 17:28 Aaron Bauman
2017-06-27 19:22 Michał Górny
2017-01-30 7:37 Fabian Groffen
2016-08-02 16:10 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1716984736.7942d45ee814d89019424df9baba4943d3907876.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox